/////////////////////////////////////////////////////////////////// -*- C++ -*-
/*! \file RTTC/EnvironmentalEffects/TerrainTypeChangeMessage/BasicImpl/PublisherImpl.h
 * \version 5.2.1
 *
 * \brief \#include this file in order to instantiate
 * TerrainTypeChangeMessage message objects.
 *
 * This file is the one header file that all TENA Middleware application
 * programs should \#include in order to instantiate
 * TerrainTypeChangeMessage message objects.
 *
 * This header file aggregates numerous other header files
 * needed by virtually any TENA Middleware application that needs to create
 * TerrainTypeChangeMessage message objects.
 *
 * \todo Update the documentation for this file.  It was copied directly from
 * RTTC/EnvironmentalEffects/TerrainTypeChangeMessage/Publisher.h and is thus not entirely accurate.
 */

#ifndef RTTC_EnvironmentalEffects_TerrainTypeChangeMessage_BasicImpl_PublisherImpl_h
#define RTTC_EnvironmentalEffects_TerrainTypeChangeMessage_BasicImpl_PublisherImpl_h

#include <RTTC/EnvironmentalEffects/TerrainTypeChangeMessage/Publisher.h>
#include <basicImpl_RTTC_EnvironmentalEffects_v1_mscRegisterFactory.h>


#endif // ifndef RTTC_EnvironmentalEffects_TerrainTypeChangeMessage_BasicImpl_PublisherImpl_h
