/////////////////////////////////////////////////////////////////// -*- C++ -*-
/*! \file RTTC/EnvironmentalEffects/DisturbanceHistoryMessage/BasicImpl/SubscriberImpl.h
 * \version 5.2.1
 *
 * \brief \#include this file in order to subscribe to
 * DisturbanceHistoryMessage messages.
 *
 * This file is the one header file that all TENA Middleware application
 * programs should \#include in order to subscribe to
 * DisturbanceHistoryMessage messages.
 *
 * This header file aggregates numerous other header files needed
 * by virtually any TENA Middleware application that subscribes to
 * DisturbanceHistoryMessage messages.
 *
 * \todo Update the documentation for this file.  It was copied directly from
 * RTTC/EnvironmentalEffects/DisturbanceHistoryMessage/Subscriber.h and is thus not entirely accurate.
 */

#ifndef RTTC_EnvironmentalEffects_DisturbanceHistoryMessage_BasicImpl_SubscriberImpl_h
#define RTTC_EnvironmentalEffects_DisturbanceHistoryMessage_BasicImpl_SubscriberImpl_h

#include <RTTC/EnvironmentalEffects/DisturbanceHistoryMessage/Subscriber.h>
#include <basicImpl_RTTC_EnvironmentalEffects_v1_mscRegisterFactory.h>
#include "CallbackInfo.h"
#include "MessageCallbackFactoryImpl.h"
#include "MessageCallbackImpl.h"
#include "SubscriptionInfoImpl.h"


#endif // ifndef RTTC_EnvironmentalEffects_DisturbanceHistoryMessage_BasicImpl_SubscriberImpl_h
